#include <bits/stdc++.h>
using namespace std;
long long T, t, ma, n, i, m[1400007], a, b, c;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    cin>>T;
    for(t=1;t<=T; t++){
        ma=0;
        for(i=1;i<=2*n; i++){
            m[i]=0;
        }
        cin>>n;
        for(i=1;i<=n;i++){
            cin>>a>>b>>c;
            m[a]+=c; m[b]+=c;
            ma=max({ma, m[a], m[b]});
        }
        cout<<ma<<endl;
    }
}
